## aMule-2.3.2.tar.xz

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.11)
project (amule)
set (MIN_BOOST_VERSION 1.47)
set (MIN_CRYPTOPP_VERSION 5.6)
set (MIN_GDLIB_VERSION 2.0.0)
set (MIN_WX_VERSION 2.8.12)
set (PACKAGE "amule")
set (PACKAGE_BUGREPORT "admin@amule.org")
set (PACKAGE_NAME "aMule")
set (PACKAGE_STRING "aMule SVN")
set (PACKAGE_TARNAME "amule")
set (PACKAGE_URL \"\")
set (PACKAGE_VERSION "SVN")
set (VERSION "GIT")
set (DEFAULT_BUILD_TYPE "Release")
set (RECONF_COMMAND ${CMAKE_COMMAND})

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
	SET (DEFAULT_BUILD_TYPE "Debug")
endif()

# Set the possible values of build type for cmake-gui
if (CMAKE_CONFIGURATION_TYPES)
	set (CMAKE_CONFIGURATION_TYPES "Debug;Release" CACHE
		STRING "Semicolon separated list of supported configuration types, only supports debug and release, anything else will be ignored" FORCE
	)

	set_property (CACHE CMAKE_CONFIGURATION_TYPES PROPERTY STRINGS
		"Debug" "Release"
	)
endif()

if (NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
	message (STATUS "Setting build type to '${DEFAULT_BUILD_TYPE}' as none was specified.")
	set (CMAKE_BUILD_TYPE "${DEFAULT_BUILD_TYPE}" CACHE
		STRING "Choose the type of build." FORCE
	)
endif()

include (cmake/CmDaB.cmake)
include (cmake/manpage_install.cmake)
include (cmake/options.cmake)
include (cmake/search-dirs.cmake)

if (BUILD_AMULECMD OR BUILD_WEBSERVER)
	include (cmake/FindReadline.cmake)
endif()

if (BUILD_CAS)
	include (cmake/gdlib.cmake)
	include (cmake/getopt_long.cmake)
endif()

if (BUILD_PLASMAMULE)
	find_package (Qt4 COMPONENTS QtCore QtGUI REQUIRED)
endif()

if (BUILD_WEBSERVER OR NEED_ZLIB)
	include (cmake/zlib.cmake)
endif()

if (BUILD_WEBSERVER)
	include (cmake/png.cmake)
endif()

if (ENABLE_BOOST)
	include (cmake/boost.cmake)
endif()

if (ENABLE_IP2COUNTRY)
	include (cmake/ip2country.cmake)
endif()

if (ENABLE_NLS)
	include (cmake/nls.cmake)
endif()

if (ENABLE_UPNP)
	include (cmake/upnp.cmake)
endif()

if (NEED_GLIB_CHECK)
	include (cmake/glib21.cmake)
endif()

if (NEED_LIB_CRYPTO)
	include (cmake/cryptopp.cmake)
endif()

if (wx_NEEDED)
	include (cmake/wx.cmake)
endif()

if (NOT SVNDATE)
	find_package (Git)

	if (GIT_FOUND)
		execute_process (
			COMMAND ${GIT_EXECUTABLE} describe
			OUTPUT_VARIABLE GIT_INFO_WC_REVISION
			OUTPUT_STRIP_TRAILING_WHITESPACE
			WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
	endif (GIT_FOUND)

	set (SVNDATE "rev. ${GIT_INFO_WC_REVISION}" CACHE STRING "Revision to be written to version string" FORCE)
	message (STATUS "git revision ${SVNDATE} found")
endif()

include (cmake/bfd.cmake)

configure_file (
	config.h.cm
	config.h
)

if (WIN32)
	configure_file (
		version.rc.in
		version.rc
	)
endif()

if (BUILD_MONOLITHIC)
	install (FILES amule.desktop
		DESTINATION "${CMAKE_INSTALL_DATADIR}/applications"
	)
endif()

if (BUILD_REMOTEGUI)
	install (FILES amulegui.desktop
		DESTINATION "${CMAKE_INSTALL_DATADIR}/applications"
	)
endif()

add_subdirectory (docs)
add_subdirectory (src)

if (BUILD_TESTING)
	enable_testing()
	add_subdirectory (unittests)
endif()

=== src/CMakeLists.txt ===
set (LIBS_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/libs")
set (INCLUDE_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/include")
set (SRC_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
set (EC_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}/libs/ec/cpp")

add_custom_command (
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/pixmaps/flags_xpm/CountryFlags.h
	COMMAND ${CMAKE_COMMAND} -DHEADER_FILE="${CMAKE_CURRENT_BINARY_DIR}/pixmaps/flags_xpm/CountryFlags.h" -P ${CMAKE_CURRENT_SOURCE_DIR}/pixmaps/flags_xpm/CMakeLists.txt
	WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/pixmaps/flags_xpm"
)

add_custom_command (
	OUTPUT ${EC_INCLUDE_DIR}/ECCodes.h
	COMMAND ${CMAKE_COMMAND} -DHEADER_FILE="${CMAKE_CURRENT_BINARY_DIR}/libs/ec/cpp/ECCodes.h" -P ${CMAKE_CURRENT_SOURCE_DIR}/libs/ec/abstracts/CMakeLists.txt
	WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/libs/ec/abstracts"
)

add_custom_command (
	OUTPUT ${EC_INCLUDE_DIR}/ECTagTypes.h
	COMMAND ${CMAKE_COMMAND} -DHEADER_FILE="${CMAKE_CURRENT_BINARY_DIR}/libs/ec/cpp/ECTagTypes.h" -P ${CMAKE_CURRENT_SOURCE_DIR}/libs/ec/abstracts/CMakeLists.txt
	WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/libs/ec/abstracts"
)

add_custom_target (generate_CountryFlags.h DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/pixmaps/flags_xpm/CountryFlags.h)
add_custom_target (generate_ECCodes.h DEPENDS ${EC_INCLUDE_DIR}/ECCodes.h)
add_custom_target (generate_ECTagTypes.h DEPENDS ${EC_INCLUDE_DIR}/ECTagTypes.h)
set_source_files_properties (${CMAKE_CURRENT_BINARY_DIR}/pixmaps/flags_xpm/CountryFlags.h PROPERTIES GENERATED TRUE)
set_source_files_properties (${EC_INCLUDE_DIR}/ECCodes.h PROPERTIES GENERATED TRUE)
set_source_files_properties (${EC_INCLUDE_DIR}/ECTagTypes.h PROPERTIES GENERATED TRUE)
include (${CMAKE_SOURCE_DIR}/cmake/source-vars.cmake)

if (BUILD_UTIL)
	add_subdirectory (utils)
endif()

if (BUILD_WEBSERVER)
	add_subdirectory (webserver)
endif()

if (INSTALL_SKINS)
	add_subdirectory (skins)
endif()


if (ENABLE_IP2COUNTRY)
	set_source_files_properties (${IP2COUNTRY}
		PROPERTIES COMPILE_FLAGS "-I${CMAKE_CURRENT_BINARY_DIR} -I${CMAKE_CURRENT_SOURCE_DIR}/pixmaps/flags_xpm"
	)
endif()

if (NEED_LIB)
	add_subdirectory (libs)
endif()

if (BUILD_AMULECMD)
	add_executable (amulecmd
		DataToText.cpp
		ExternalConnector.cpp
		LoggerConsole.cpp
		NetworkFunctions.cpp
		OtherFunctions.cpp
		TextClient.cpp
	)

	if (WIN32)
		target_sources (amulecmd
			PRIVATE ${CMAKE_SOURCE_DIR}/version.rc
		)
	endif()

	target_compile_definitions (amulecmd
		PRIVATE wxUSE_GUI=0
	)

	target_include_directories (amulecmd
		PRIVATE ${SRC_DIR}
	)

	target_link_libraries (amulecmd
		mulecommon
		mulesocket
		ec
	)

	if (HAVE_BFD)
		target_link_libraries (amulecmd ${LIBBFD})
	endif (HAVE_BFD)

	if (HAVE_LIBREADLINE)
		target_link_libraries (amulecmd ${READLINE_LIBRARIES})
	endif()

	install (TARGETS amulecmd
		RUNTIME DESTINATION bin
	)
endif (BUILD_AMULECMD)

if (BUILD_DAEMON)
	add_executable (amuled
		${CORE_SOURCES}
		${COMMON_SOURCES}
		amuled.cpp
	)

	if (WIN32)
		target_sources (amuled
			PRIVATE ${CMAKE_SOURCE_DIR}/version.rc
		)
	endif()

	target_compile_definitions (amuled
		PRIVATE AMULE_DAEMON
		PRIVATE wxUSE_GUI=0
	)

	target_include_directories (amuled
		PRIVATE ${SRC_DIR}
	)

	target_link_libraries (amuled
		ec
		muleappcommon
		muleappcore
		mulecommon
		mulesocket
		wxWidgets::NET
	)

	if (HAVE_BFD)
		target_link_libraries (amuled
			${LIBBFD}
		)
	endif()

	if (WIN32)
		target_link_libraries (amuled
			shlwapi.lib
		)
	endif()

	install (TARGETS amuled
		RUNTIME DESTINATION bin
	)
endif()

if (BUILD_ED2K)
	add_executable (ed2k
		ED2KLinkParser.cpp
		MagnetURI.cpp
		MuleCollection.cpp
	)

	if (WIN32)
		target_sources (ed2k
			PRIVATE ${CMAKE_SOURCE_DIR}/version.rc
		)
	endif()

	target_compile_definitions (ed2k
		PRIVATE "USE_STD_STRING"
	)

	if (WIN32)
		target_link_libraries (ed2k
			shlwapi.lib
		)
	endif()

	install (TARGETS ed2k
		RUNTIME DESTINATION bin
	)
endif()

if (BUILD_MONOLITHIC)
	add_executable (amule
		${COMMON_SOURCES}
		${CORE_SOURCES}
		${GUI_SOURCES}
		CaptchaDialog.cpp
		CaptchaGenerator.cpp
		PartFileConvert.cpp
		PartFileConvertDlg.cpp
	)

	if (WIN32)
		target_sources (amule
			PRIVATE ${CMAKE_SOURCE_DIR}/version.rc
		)
	endif()

	target_link_libraries (amule
		ec
		muleappcommon
		muleappcore
		muleappgui
		mulecommon
		mulesocket
		$<$<VERSION_LESS:${wxWidgets_VERSION_STRING},3.1.2>:wxWidgets::ADV>
		wxWidgets::NET
	)

	if (HAVE_BFD)
		target_link_libraries (amule ${LIBBFD})
	endif()

	if (WIN32)
		target_link_libraries (amule
			shlwapi.lib
		)

		set_target_properties (amule
			PROPERTIES WIN32_EXECUTABLE TRUE
		)
	endif()

	install (TARGETS amule
		RUNTIME DESTINATION bin
	)
endif (BUILD_MONOLITHIC)

if (BUILD_REMOTEGUI)
	add_executable (amulegui
		${COMMON_SOURCES}
		${GUI_SOURCES}
		kademlia/utils/UInt128.cpp
		amule-remote-gui.cpp
	)

	if (WIN32)
		target_sources (amulegui
			PRIVATE ${CMAKE_SOURCE_DIR}/version.rc
		)
	endif()

	target_compile_definitions (amulegui
		PRIVATE "CLIENT_GUI"
	)

	target_include_directories (amulegui
		PRIVATE ${SRC_DIR}
	)

	target_link_libraries (amulegui
		ec
		muleappcommon
		muleappgui
		mulecommon
		mulesocket
		$<$<VERSION_LESS:${wxWidgets_VERSION_STRING},3.1.2>:wxWidgets::ADV>
		wxWidgets::NET
	)

	if (ENABLE_IP2COUNTRY)
		target_compile_definitions (amulegui
			PRIVATE ENABLE_IP2COUNTRY
		)

	target_link_directories (amulegui
		${LIBGEOIP}
	)
	endif()

	if (HAVE_BFD)
		target_link_libraries (amulegui
			${LIBBFD}
		)
	endif()

	if (WIN32)
		set_target_properties (amulegui
			PROPERTIES WIN32_EXECUTABLE TRUE
		)
	endif()

	install (TARGETS amulegui
		RUNTIME DESTINATION bin
	)
endif()

if (NEED_LIB_MULEAPPCOMMON)
	add_library (muleappcommon STATIC
		${UPNP_SOURCES}
		CFile.cpp
		ClientCredits.cpp
		DataToText.cpp
		ED2KLink.cpp
		Friend.cpp
		GapList.cpp
		MagnetURI.cpp
		MemFile.cpp
		NetworkFunctions.cpp
		OtherFunctions.cpp
		Packet.cpp
		RLE.cpp
		SafeFile.cpp
		SHA.cpp
		Tag.cpp
		TerminationProcess.cpp
		Timer.cpp
	)

	target_compile_definitions (muleappcommon
		PRIVATE wxUSE_GUI=0
		PRIVATE WXUSINGDLL
	)

	target_include_directories (muleappcommon
		PUBLIC ${amule_BINARY_DIR}
		PUBLIC ${EC_INCLUDE_DIR}
		PRIVATE ${INCLUDE_INCLUDE_DIR}
		PRIVATE ${LIBS_INCLUDE_DIR}
		PRIVATE ${wxWidgets_INCLUDE_DIRS}
		PRIVATE ${ZLIB_INCLUDE_DIR}
	)

	add_dependencies (muleappcommon
		generate_ECCodes.h
		generate_ECTagTypes.h
	)

	if (ENABLE_UPNP)
		target_link_libraries (muleappcommon
			PUBLIC UPNP::Shared
		)
	endif()
endif()

if (NEED_LIB_MULEAPPCORE)
	if (BISON_FOUND)
		bison_target (Parser.cpp
			${CMAKE_CURRENT_SOURCE_DIR}/Parser.y
			${CMAKE_CURRENT_BINARY_DIR}/Parser.cpp
			COMPILE_FLAGS "-t -d -v"
		)

		set (PARSER ${CMAKE_CURRENT_BINARY_DIR}/Parser.cpp)
	else()
		set (PARSER ${CMAKE_CURRENT_SOURCE_DIR}/Parser.cpp)
	endif (BISON_FOUND)

	if (FLEX_FOUND)
		if (FLEX_MATCH)
			set (FLEX_FLAGS "--header-file=${CMAKE_CURRENT_BINARY_DIR}/Scanner.h")

			set_source_files_properties (Parser.cpp
				COMPILE_FLAGS "-I${CMAKE_CURRENT_BINARY_DIR}"
			)
		endif()

		flex_target (Scanner.cpp
			${CMAKE_CURRENT_SOURCE_DIR}/Scanner.l
			${CMAKE_CURRENT_BINARY_DIR}/Scanner.cpp
			COMPILE_FLAGS "${FLEX_FLAGS}"
		)

		flex_target (IPFilterScanner.cpp
			${CMAKE_CURRENT_SOURCE_DIR}/IPFilterScanner.l
			${CMAKE_CURRENT_BINARY_DIR}/IPFilterScanner.cpp
			COMPILE_FLAGS "-Pyyip"
		)

		set (SCANNER ${CMAKE_CURRENT_BINARY_DIR}/Scanner.cpp)
		set (IPFILTERSCANNER ${CMAKE_CURRENT_BINARY_DIR}/IPFilterScanner.cpp)
	else()
		set (SCANNER ${CMAKE_CURRENT_SOURCE_DIR}/Scanner.cpp)
		set (IPFILTERSCANNER ${CMAKE_CURRENT_SOURCE_DIR}/IPFilterScanner.cpp)
	endif()

	add_library (muleappcore STATIC
		${IPFILTERSCANNER}
		${PARSER}
		${SCANNER}
		kademlia/kademlia/Entry.cpp
		kademlia/kademlia/Indexed.cpp
		kademlia/kademlia/SearchManager.cpp
		kademlia/routing/RoutingBin.cpp
		kademlia/utils/UInt128.cpp
		AsyncDNS.cpp
		CanceledFileList.cpp
		DeadSourceList.cpp
		FileArea.cpp
		FileAutoClose.cpp
		PlatformSpecific.cpp
		RandomFunctions.cpp
		RC4Encrypt.cpp
		StateMachine.cpp
		TerminationProcessAmuleweb.cpp
		ThreadScheduler.cpp
		UPnPBase.cpp
	)

	target_compile_definitions (muleappcore
		PRIVATE wxUSE_GUI=0
		PRIVATE WXUSINGDLL
	)

	target_include_directories (muleappcore
		PRIVATE ${CMAKE_BINARY_DIR}
		PRIVATE ${CMAKE_CURRENT_BINARY_DIR}
		PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
		PRIVATE ${INCLUDE_INCLUDE_DIR}
		PRIVATE ${LIBS_INCLUDE_DIR}
		PRIVATE ${wxWidgets_INCLUDE_DIRS}
	)

	if (ENABLE_UPNP)
		target_include_directories (muleappcore
			PRIVATE $<TARGET_PROPERTY:UPNP::Shared,INTERFACE_INCLUDE_DIRECTORIES>
		)
	endif()

	target_link_libraries (muleappcore
		CRYPTOPP::CRYPTOPP
	)
endif()

if (NEED_LIB_MULEAPPGUI)
	add_library (muleappgui STATIC
		${IP2COUNTRY}
		extern/wxWidgets/listctrl.cpp
		BarShader.cpp
		ColorFrameCtrl.cpp
		EditServerListDlg.cpp
		FileDetailListCtrl.cpp
		MuleCollection.cpp
		MuleColour.cpp
		MuleGifCtrl.cpp
		MuleListCtrl.cpp
		MuleNotebook.cpp
		MuleTextCtrl.cpp
		muuli_wdr.cpp
	)

	if (IP2COUNTRY AND GEOIP_INCLUDE_DIR)
		target_include_directories (muleappgui
			PRIVATE ${GEOIP_INCLUDE_DIR}
		)
	endif()

	target_compile_definitions (muleappgui
		PRIVATE WXUSINGDLL
	)

	target_include_directories (muleappgui
		PRIVATE ${amule_BINARY_DIR}
		PRIVATE ${INCLUDE_INCLUDE_DIR}
		PRIVATE ${LIBS_INCLUDE_DIR}
	)

	target_link_libraries (muleappgui
		wxWidgets::CORE
	)

	if (ENABLE_IP2COUNTRY)
		add_dependencies (muleappgui
			generate_CountryFlags.h)
	endif()
endif()

IF (NEED_LIB_MULESOCKET)
	add_library (mulesocket STATIC
		LibSocket.cpp
	)

	target_compile_definitions (mulesocket
		PRIVATE wxUSE_GUI=0
	)
	
	target_include_directories (mulesocket
		PRIVATE ${amule_BINARY_DIR}
		PUBLIC ${INCLUDE_INCLUDE_DIR}
		PUBLIC ${LIBS_INCLUDE_DIR}
	)

	if (ENABLE_BOOST)
		target_include_directories (mulesocket
			PRIVATE ${Boost_INCLUDE_DIR}
			PRIVATE ${wxWidgets_INCLUDE_DIRS}
		)

		target_link_libraries (mulesocket
			${Boost_LIBRARIES}
			wxWidgets::BASE
		)
	else()
		target_link_libraries (mulesocket
			wxWidgets::NET
		)
	endif()
endif()

=== debian/changelog ===
amule (2.3.2+git-20210127) stable; urgency=low

  * git-rev: 0e9e3efc + 1
  * disabled plasmamule
  * Tighten Build-Deps

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Wed, 27 Jan 2021 12:52:21 +0100
 

amule (2.3.2+git-20191216) stable; urgency=low

  * git-rev: d157fe8 + 1
  * changed build-deps and rules to use boost-asio

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Mon, 16 Dec 2019 15:27:18 +0100

amule (2.3.2+git-20190521) stable; urgency=low

  * git-rev: 6080da6 + 1
  * changed build-deps for compatibility with Ubuntu Disco

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Thu, 21 May 2019 12:49:18 +0200

amule (2.3.2+git-20190519) stable; urgency=low

  * git-rev: f8520e7 + 1
  * added papirus skin
  * corrected stamp-file name of plasmamule
  * removed useless amule.post[inst|rm]

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Sun, 19 May 2019 14:49:18 +0200
 

amule (2.3.2+git-20190423) stable; urgency=low

  * git-rev: 20afd75
  * d/amule-cas.README.Debian: switched spelling of cas to avoid word repeat
  * d/amule-common.docs: removed docs/changelog to avoid double install
  * d/amule-i18n-uk.install: added locale, package was empty
  * d/amule-plasmamule.lintian-overrides: desktop-entry is now known
  * d/amule-xas.install: use multiarch format
  * d/amule-xas.lintian-overrides: use multiarch format
  * d/clean:
    + switched to use reflect new dbgsym-packages
    + removed stage1 und stage2 stamps
  * d/compat: switched to dh 10
  * d/control:
    + adjusted build-deps for stable
    + changed description of amule-package to satisfy lintian
    + changed description of amule-theme-default-package to satisfy lintian
    + changed description of amuleweb-package to satisfy lintian
    + changed description of amule-remote-gui-package to satisfy lintian
    + changed description of amule-daemon-package to satisfy lintian
    + changed description of amule-alc-package to satisfy lintian
    + changed description of amule-alcc-package to satisfy lintian
    + removed *-dbg as they are not needed for dbgsym-packages
  * d/rules:
    + switched to build dbgsym-packages
    + avoid installing the changelog twice in amule-common-package

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Tue, 23 Apr 2019 21:31:11 +0200

amule (2.3.1+svn-10712) testing; urgency=low

  * Added Chinese (Traditional) manpages

 -- Dévai Tamás (gonosztopi) <gonosztopi@amule.org>  Thu, 29 Dec 2011 21:20:09 +0000

amule (2.3.1+svn-10696) testing; urgency=low

  * Fixed amule-plasmamule.install for buildd-env
  * Set Build-Dep to libreadline-dev

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Tue, 15 Dec 2011 01:31:11 +0100

amule (2.3.1) testing; urgency=low

  * New Upstream Release

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Fri, 11 Nov 2011 11:11:11 +0100

amule (2.3.0~rc2+svn-10603) testing; urgency=low

  * Removed amule-ed2k.docs
  * Switched to debhelper 8
  * Resorted all files alphabetically
  * Switched to 3.0 (quilt) source-format
  * Updated build-deps to dh-8 and wx 2.8.12 minimum

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Thu, 01 Sep 2011 15:34:28 +0200

amule (2.3.0~rc2+svn-10600) testing; urgency=low

  * New upstream release candidate
  * Removed amule-i18n-ro package
  * Synced manpages to upstream

 -- Dévai Tamás (gonosztopi) <gonosztopi@amule.org>  Sun, 14 Aug 2011 20:56:11 +0000

amule (2.2.6+svn-10406) testing; urgency=low

  * Bumped Standards Version to 3.9.1
  * Explicitly refer to source format 1.0
  * debian/control
    + Corrected spelling-error in description of amule-common
    + Removed ${shlibs:Depends} in debian/control from:
      - amule-common
      - amule-dbg
      - amule-ed2k-dbg
      - amule-cas-dbg
      - amule-wxcas-dbg
      - amuleweb-dbg
      - amule-remote-gui-dbg
      - amule-daemon-dbg
      - amule-alc-dbg
      - amule-alcc-dbg
      - amule-cmd-dbg
      - amule-utils
    + Removed ${perl:Depends} in debian/control from amule-ed2k
    + Explicitly mark amule-utils and amule-utils-gui as meta-package
    + Added autoconf to Build-Deps
    + Added Homepage field
  * Added amule-i18n-ro package
  * Added amule-plasmamule and amule-plasmamule-dbg packages
  * debian/rules
    + Added dh_installmime call for amule-plasmamule
  * Readded
    + amule-i18n-ast
    + amule-i18n-cs
    + amule-i18n-el
    + amule-i18n-he
    + amule-i18n-ja
    + amule-i18n-sq
    + amule-i18n-uk
    + amule.lintian-overrides
    + amule-skin-mac-gray
    + amule-skin-priscilla
    + amule-xas.lintian-overrides
  * Removed amule.README.Debian

 -- Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>  Wed, 15 Dec 2010 06:25:28 +0100

amule (2.2.6+svn-9854) testing; urgency=low

  * Changed Naming Convention to represent the revision
  * debian/control
    - Versioned Build-Dep on libwxgtk2.8-dev to use minimum 2.8.8
    - Bumped Standardsversion to 3.8.3
    - Moved i18n-packages to Section localisation
    - Set right Conflicts/Replaces for
      + amule-wxcas
      + amule-alc
      + amule-remote-gui
      + amule-ed2k
      + amulecmd
      + Added ${misc:Depends} to packages deps
      + Bumped versioned build-dep of debhelper to >= 7
      + Moved -dbg packages to section debug
  * debian/amule-common.install
    - Changed old aMule-CVS dir for docs to amule
  * debian/rules
    - Changed --with-ccache to --enable-ccache
    - Re-enabled install of xas
    - Removed the if's to install lintian overrides, use dh_lintian instead
    - Added DEB_BUILD_OPTIONS_PARALLEL=3 for parallel building
  * debian/clean
    - removed compile
  * Removed amule-ed2k.preinst
  * Added Package
    - amule-i18n-ast
    - amule-i18n-cs
    - amule-i18n-el
    - amule-i18n-he
    - amule-i18n-ja
    - amule-i18n-sq
    - amule-i18n-uk
    - amule-skin-mac-gray
    - amule-skin-priscilla
  * Moved amule.override to amule.lintian-overrides


=== debian/control ===
Source: amule
Section: net
Priority: optional
Maintainer: Werner Mahr (Vollstrecker) <amule@vollstreckernet.de>
Build-Depends: debhelper (>= 10), libglib2.0-dev, zlib1g-dev, libwxgtk3.0-dev, libgd-dev, libcrypto++-dev, libreadline-dev, libgeoip-dev, libupnp-dev (>> 1.6.6), binutils-dev, autoconf, gettext, libasio-dev
Standards-Version: 3.9.1
Homepage: http://www.amule.org

Package: amule
Architecture: any
Depends: ${shlibs:Depends}, amule-common (= ${binary:Version}), amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Recommends: amule-utils, amule-cas, amule-wxcas
Suggests: amule-xas, amule-ed2k
Description: client for eD2k and Kad networks
 aMule stands for another eMule file-sharing program, it is also
 another fork of the xMule project. It connects to eDonkey2000
 network, supports Linux, *BSD and MacOS X platforms, and has
 a new vision of the GUI

Package: amule-utils
Architecture: any
Depends: amule-common (= ${binary:Version}), amule-alcc (= ${binary:Version}), amule-cmd (= ${binary:Version}), amule-cas (= ${binary:Version}), ${misc:Depends}
Recommends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version})
Description: utilities for amule
 amule-utils is a meta-package for a set of tools to control amule.
 .
 alcc lets you created ed2k-links and hashes from the commandline
 cas is a remplacement software for astats. It produces statistic from amule.
 amulecmd is a software which helps you to control amule trough a terminal.

Package: amule-utils-gui
Architecture: any
Depends: amule-common (= ${binary:Version}), amule-alc (= ${binary:Version}), amule-remote-gui (= ${binary:Version}), amule-wxcas (= ${binary:Version}), ${misc:Depends}
Recommends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version})
Description: utilities for amule
 amule-utils-gui is a set of tools to control amule.
 .
 This is a meta-package that depends on useful programs using GUI to control
 aMule.
 .
 alc is a software to created ed2k-links and hashes
 amule trough a terminal.
 amulegui lets you control amule or amuled from a remote machine
 wxcas shows you statistics about your amule usage

Package: amule-ed2k
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version})
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version}), xmule (<= 1.10.0b-1), amule-utils (<< ${binary:Version})
Replaces: amule-utils (<< ${binary:Version})
Description: amule ed2k link-handler
 ed2k let you use ed2k Links with your amule-app

Package: amule-cas
Architecture: any
Depends: ${shlibs:Depends}, amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}), ${misc:Depends}
Conflicts: amule-utils (<< ${binary:Version})
Replaces: amule-utils (<< ${binary:Version})
Description: reporting module for amule
 cas reports statistics about amule on the console

Package: amule-wxcas
Architecture: any
Depends: ${shlibs:Depends}, amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}), amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Conflicts: amule-utils-gui (<< ${binary:Version})
Replaces: amule-utils-gui (<< ${binary:Version})
Description: reporting module for amule (graphical)
 wxcas reports statistics about amule on your desktop, using wxlib

Package: amule-xas
Architecture: any
Depends: ${perl:Depends}, amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}), xchat | xchat-text, ${misc:Depends}
Description: amule statistics for xchat
 xas reports statistics about amule to IRC-Channels using XChat

Package: amule-common
Architecture: any
Depends: ${misc:Depends}
Description: common files for amule
 this package contains common files for amule. atm only the
 icon for the menu

Package: amule-theme-default
Architecture: any
Provides: amule-web-templates
Depends: amuleweb (= ${binary:Version}), ${misc:Depends}
Conflicts: amule-common (<< ${binary:Version}), amule (<< ${binary:Version})
Description: default template for the webserver
 this package contains the default template for amulewebserver
 atm the litoral theme is the default one, and the only one
 included in aMule

Package: amuleweb
Architecture: any
Depends: ${shlibs:Depends}, amule-web-templates, amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Recommends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version})
Conflicts: amule (<< ${binary:Version}), amule-daemon (<< ${binary:Version})
Description: webserver for amule
 this is the webserver, which gives you full access to your amule client with
 any webbrowser you want

Package: amule-remote-gui
Architecture: any
Depends: ${shlibs:Depends}, amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Replaces: amule-utils-gui (<< ${binary:Version})
Conflicts: amule-utils-gui (<< ${binary:Version})
Description: remote gui for amule
 this is the remote GUI for amule. You can use it on every machine to execute
 commands on the main prog. You need a running amule or amuled on at least one
 machine on the net.

Package: amule-daemon
Architecture: any
Depends: ${shlibs:Depends}, amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Replaces: amuled (<< ${binary:Version})
Conflicts: amule-daemon (<< ${binary:Version})
Description: amule daemon for headless or remote use
 amule-daemon can be used on computers, that don't have X11. You can connect to
 it with the remote-GUI, the webserver or the commandline interface.

Package: amule-alc
Architecture: any
Depends: ${shlibs:Depends}, amule-i18n-en-gb (= ${binary:Version}) | amule-i18n, ${misc:Depends}
Conflicts: amule-utils-gui (<< ${binary:Version})
Replaces: amule-utils-gui (<< ${binary:Version})
Description: amule eD2k- link creator (gui-version)
 amule-link-creator lets you create ed2k-links and hashes for a given file.

Package: amule-alcc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: amule-utils (<< ${binary:Version})
Replaces: amule-utils (<< ${binary:Version})
Description: amule-link-creator (commandline-version)
 amule-link-creator lets you create ed2k-links and hashes for a given file
 from the commandline.

Package: amule-cmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: amule-utils (<< ${binary:Version})
Replaces: amule-utils (<< ${binary:Version})
Description: remote control amule(d) from commandline
 amulecmd gives you control over a running amule-daemon or amule from
 commandline.

Package: amule-i18n-ar
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Arabic (ar) internationalized (i18n) files for amule
 This package contains the Arabic internationalized files for amule.

Package: amule-i18n-ast
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Asturian (ast) internationalized (i18n) files for amule
 This package contains the Asturian internationalized files for amule.

Package: amule-i18n-bg
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Bulgarian (bg) internationalized (i18n) files for amule
 This package contains the Bulgarian internationalized files for amule.

Package: amule-i18n-ca
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Catalan (ca) internationalized (i18n) files for amule
 This package contains the Catalan internationalized files for amule.

Package: amule-i18n-cs
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Czech (cs) internationalized (i18n) files for amule
 This package contains the Czech internationalized files for amule.

Package: amule-i18n-da
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Danish (da) internationalized (i18n) files for amule
 This package contains the Danish internationalized files for amule.

Package: amule-i18n-de
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: German (de) internationalized (i18n) files for amule
 This package contains the German internationalized files for amule.

Package: amule-i18n-el
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Greek (el) internationalized (i18n) files for amule
 This package contains the Greek internationalized files for amule.

Package: amule-i18n-en-gb
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: English (en_GB) internationalized (i18n) files for amule
 This package contains the British-English internationalized files for amule.

Package: amule-i18n-es
Section: localization
Architecture: any
Depends: amule (= ${binary:Version}) | amule-daemon (= ${binary:Version}) | amuleweb (= ${binary:Version}) | amule-alc (= ${binary:Version}) | amule-remote-gui (= ${binary:Version}) | amule-wxcas (= ${binary:Version}), ${misc:Depends}
Provides: amule-i18n
Conflicts: amule (<< ${binary:Version}), amule-common (<< ${binary:Version})
Description: Spanish (es) internationalized (i18n) files for amule
 This package contains the Spanish internationalized files for amule.

Package: amule-i18n-et-ee
Section: localization
Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Vollstrecker

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DEB_BUILD_OPTIONS_PARALLEL=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

#Here are the packages that can't be compiled separate now
general_pkgs = "amule-common"\
	"amule-skin-gnome"\
	"amule-skin-kde4"\
	"amule-skin-mac-gray"\
	"amule-skin-papirus"\
	"amule-skin-priscilla"\
	"amule-skin-tango"\
	"amule-skin-xfce"

# First, get the targets from commandline
flags = ${MAKECMDGOALS}

#First we have to find out, if we are called from dpkg-buildpackage

ifeq ("binary", "$(findstring binary, $(flags))")

#	PLASMAMULE = --enable-plasmamule
	WXCAS = --enable-wxcas
	XAS = --enable-xas
	CAS = --enable-cas
	WEBSERVER = --enable-webserver
	REMOTEGUI = --enable-amule-gui
	DAEMON = --enable-amule-daemon
	ALCC = --enable-alcc
	ALC = --enable-alc
	AMULECMD = --enable-amulecmd
	DEBUGGING = --enable-debug --disable-optimize --disable-profile
	DEBUGBUILD = yes
	LANGFLAG = --with-language=all

else ifeq ("build", "$(findstring build, $(flags))")

#	PLASMAMULE = --enable-plasmamule
	WXCAS = --enable-wxcas
	XAS = --enable-xas
	CAS = --enable-cas
	WEBSERVER = --enable-webserver
	REMOTEGUI = --enable-amule-gui
	DAEMON = --enable-amule-daemon
	ALCC = --enable-alcc
	ALC = --enable-alc
	AMULECMD = --enable-amulecmd
	DEBUGGING = --enable-debug --disable-optimize --disable-profile
	DEBUGBUILD = yes
	LANGFLAG = --with-language=all

else
	#Now we have to check what packages are build to configure only them

	#We have to filter the right targets (wo_ means without)
	wo_wxcas = $(subst wxcas,, ${flags})
	wo_alcc = $(subst alcc,, ${flags})
	wo_amule_utils_gui = $(subst amule-utils-gui,,${flags})
	wo_all_other_amules = $(subst amulecmd,,$(subst amule-utils-gui,,$(subst amule-utils,,${flags})))
	LANGUAGE := en_GB

#	ifeq ("plasmamule", "$(findstring plasmamule, $(flags))")
#		PLASMAMULE = --enable-plasmamule
#	endif

	ifeq ("wxcas", "$(findstring wxcas, $(flags))")
		WXCAS = --enable-wxcas
	endif

	ifeq ("cas", "$(findstring cas, $(wo_wxcas))")
		CAS = --enable-cas
	endif

	ifeq ("webserver", "$(findstring webserver, $(flags))")
		WEBSERVER = --enable-webserver
	endif

	ifeq ("remotegui", "$(findstring remotegui, $(flags))")
		REMOTEGUI = --enable-amule-gui
	endif

	ifeq ("daemon", "$(findstring daemon, $(flags))")
		DAEMON = --enable-amule-daemon
	endif

	ifeq ("alcc", "$(findstring alcc, $(flags))")
		ALCC = --enable-alcc
	endif

	ifeq ("alc", "$(findstring alc, $(wo_alcc))")
		ALC = --enable-alc
	endif

	ifeq ("amulecmd", "$(findstring amulecmd, $(flags))")
		AMULECMD = --enable-amulecmd
	endif

	ifneq ("amule", "$(findstring amule, $(wo_all_other_amules))")
		AMULE = --disable-monolithic
	endif

	ifneq ("ed2k", "$(findstring ed2k, $(flags))")
		ED2K = --disable-ed2k
	endif

	ifeq ("xas", "$(findstring xas, $(flags))")
		XAS = --enable-xas
	endif

	#Now find out if a Metapackage should be build
	ifeq ("amule-utils-gui", "$(findstring amule-utils-gui, $(flags))")
		ALC = --enable-alc
		REMOTEGUI = --enable-amule-gui
		WXCAS = --enable-wxcas
	endif

	ifeq ("amule-utils", "$(findstring amule-utils, $(wo_amule_utils_gui))")
		ALCC = --enable-alcc
		AMULECMD = --enable-amulecmd
		CAS = --enable-cas
	endif

	#Find this whole i18n stuff
	ifneq ("i18n-en-only", "$(findstring i18n-en-only, $(flags))")

		ifeq ("i18n-ar", "$(findstring i18n-ar, $(flags))")
			LANGUAGE := $(LANGUAGE),ar
		endif

		ifeq ("i18n-ast", "$(findstring i18n-ast, $(flags))")
			LANGUAGE := $(LANGUAGE),ast
		endif

		ifeq ("i18n-bg", "$(findstring i18n-bg, $(flags))")
			LANGUAGE := $(LANGUAGE),bg
		endif

		ifeq ("i18n-ca", "$(findstring i18n-ca, $(flags))")
			LANGUAGE := $(LANGUAGE),ca
		endif

		ifeq ("i18n-cs", "$(findstring i18n-cs, $(flags))")
			LANGUAGE := $(LANGUAGE),cs
		endif

		ifeq ("i18n-da", "$(findstring i18n-da, $(flags))")
			LANGUAGE := $(LANGUAGE),da
		endif

		ifeq ("i18n-de", "$(findstring i18n-de, $(flags))")
			LANGUAGE := $(LANGUAGE),de
		endif

		ifeq ("i18n-el", "$(findstring i18n-el, $(flags))")
			LANGUAGE := $(LANGUAGE),el
		endif

		ifeq ("i18n-es", "$(findstring i18n-es, $(flags))")
			LANGUAGE := $(LANGUAGE),es
		endif

		ifeq ("i18n-et-ee", "$(findstring i18n-et-ee, $(flags))")
			LANGUAGE := $(LANGUAGE),et_EE
		endif

		ifeq ("i18n-eu", "$(findstring i18n-eu, $(flags))")
			LANGUAGE := $(LANGUAGE),eu
		endif

		ifeq ("i18n-fi", "$(findstring i18n-fi, $(flags))")
			LANGUAGE := $(LANGUAGE),fi
		endif

		ifeq ("i18n-fr", "$(findstring i18n-fr, $(flags))")
			LANGUAGE := $(LANGUAGE),fr
		endif

		ifeq ("i18n-gl", "$(findstring i18n-gl, $(flags))")
			LANGUAGE := $(LANGUAGE),gl
		endif

		ifeq ("i18n-he", "$(findstring i18n-he, $(flags))")
			LANGUAGE := $(LANGUAGE),he
		endif

		ifeq ("i18n-hr", "$(findstring i18n-hr, $(flags))")
			LANGUAGE := $(LANGUAGE),hr
		endif

		ifeq ("i18n-hu", "$(findstring i18n-hu, $(flags))")
			LANGUAGE := $(LANGUAGE),hu
		endif

		ifeq ("i18n-it", "$(findstring i18n-it, $(flags))")
			LANGUAGE := $(LANGUAGE),it
		endif

		ifeq ("i18n-it-ch", "$(findstring i18n-it-ch, $(flags))")
			LANGUAGE := $(LANGUAGE),it_CH
		endif

		ifeq ("i18n-ja", "$(findstring i18n-ja, $(flags))")
			LANGUAGE := $(LANGUAGE),ja
		endif

		ifeq ("i18n-ko-kr", "$(findstring i18n-ko-kr, $(flags))")
			LANGUAGE := $(LANGUAGE),ko_KR
		endif

		ifeq ("i18n-lt", "$(findstring i18n-lt, $(flags))")
			LANGUAGE := $(LANGUAGE),lt
		endif

		ifeq ("i18n-nl", "$(findstring i18n-nl, $(flags))")
			LANGUAGE := $(LANGUAGE),hl
		endif

		ifeq ("i18n-nn", "$(findstring i18n-nn, $(flags))")
			LANGUAGE := $(LANGUAGE),nn
		endif

		ifeq ("i18n-pl", "$(findstring i18n-pl, $(flags))")
			LANGUAGE := $(LANGUAGE),pl
		endif

		ifeq ("i18n-pt-br", "$(findstring i18n-pt-br, $(flags))")
			LANGUAGE := $(LANGUAGE),pt_BR
		endif

		ifeq ("i18n-pt-pt", "$(findstring i18n-pt-pt, $(flags))")
			LANGUAGE := $(LANGUAGE),pt_PT
		endif

		ifeq ("i18n-ru", "$(findstring i18n-ru, $(flags))")
			LANGUAGE := $(LANGUAGE),ru
		endif

		ifeq ("i18n-sl", "$(findstring i18n-sl, $(flags))")
			LANGUAGE := $(LANGUAGE),sl
		endif

		ifeq ("i18n-sq", "$(findstring i18n-sq, $(flags))")
			LANGUAGE := $(LANGUAGE),sq
		endif

		ifeq ("i18n-sv", "$(findstring i18n-sv, $(flags))")
			LANGUAGE := $(LANGUAGE),sv
		endif

		ifeq ("i18n-tr", "$(findstring i18n-tr, $(flags))")
			LANGUAGE := $(LANGUAGE),tr
		endif

		ifeq ("i18n-uk", "$(findstring i18n-uk, $(flags))")
			LANGUAGE := $(LANGUAGE),uk
		endif

		ifeq ("i18n-zh-cn", "$(findstring i18n-zh-cn, $(flags))")
			LANGUAGE := $(LANGUAGE),zh_CN
		endif

		ifeq ("i18n-zh-tw", "$(findstring i18n-zh-tw, $(flags))")
			LANGUAGE := $(LANGUAGE),zh_TW
		endif

		ifeq ($(LANGUAGE),en_GB)
			LANGUAGE = all
		endif

	endif

	LANGFLAG = --with-language=$(LANGUAGE)

	#And at Last, find out if we compile a debug-package or not.
	ifeq ("dbgsym", "$(findstring dbgsym, $(flags))")
		DEBUGGING = --enable-debug --disable-optimize --disable-profile
	else
		DEBUGGING = --disable-debug --enable-optimize --disable-profile
	endif
endif

#Before we start, I want to introduce two sequences for building the packages
define package
	dh_testdir -p$(subst -package,,$@)
	dh_testroot -p$(subst -package,,$@)
	dh_installdirs -p$(subst -package,,$@)
	dh_installchangelogs docs/Changelog -p$(subst -package,,$@)
	dh_installdocs -p$(subst -package,,$@)
	dh_install -Xlicense.txt -p$(subst -package,,$@)
	dh_installdebconf -p$(subst -package,,$@)
	dh_installman -p$(subst -package,,$@)
	dh_installmime -p$(subst -package,,$@)
	dh_link -p$(subst -package,,$@)
	dh_lintian -p$(subst -package,,$@)
	dh_compress -X.pl -p$(subst -package,,$@)
	dh_perl -p$(subst -package,,$@)
	dh_makeshlibs -p$(subst -package,,$@)
	dh_installdeb -p$(subst -package,,$@)
	dh_shlibdeps -p$(subst -package,,$@)
